language: php

php:
  - 5.5
  - 5.6
  - 7.0
  - 7.1
  - hhvm

sudo: false

cache:
  directories:
    - $HOME/.composer/cache/files

matrix:
  fast_finish: true
  include:
    - php: 5.6
      env: SYMFONY_VERSION='2.8'
    - php: 5.6
      env: SYMFONY_VERSION='3.0'
    - php: 5.5
      env: 'COMPOSER_FLAGS="--prefer-stable --prefer-lowest"'

before_script:
  - if [[ "$TRAVIS_PHP_VERSION" != "hhvm" ]]; then echo "memory_limit = -1" >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini; fi
  - if [ "$SYMFONY_VERSION" != "" ]; then composer require --dev --no-update symfony/symfony=$SYMFONY_VERSION; fi
  - composer update ${COMPOSER_FLAGS} --no-interaction

script:
  - vendor/bin/phpunit --coverage-clover clover

after_success:
    - if [[ $TRAVIS_PHP_VERSION = '5.6' ]]; then wget https://scrutinizer-ci.com/ocular.phar; fi
    - if [[ $TRAVIS_PHP_VERSION = '5.6' ]]; then php ocular.phar code-coverage:upload --format=php-clover clover; fi



